<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Floating elements</title>
    <style>
        * {
            font-family: Calibri;
            margin: 0;
            padding: 0;

        }

        #div-1 {
            background: darkgoldenrod;
            width: 100px;
            height: 200px;
            float: left;

        }

        #div-2 {
            background: darkgreen;
            width: 100px;
            height: 200px;
            float: right;
        }

        #text-div {
            border: solid 3px yellowgreen;
            padding: 5px;

        }

        /*   #clear-div{
        clear: both;
    } */

        #float-container::after {
            content: "";
            display: block;
            clear: both;
        }
    </style>
</head>

<body>
    <div id="float-container">
        <div id="div-1"></div>
        <div id="div-2"></div>
    </div>
    <!-- <div id="clear-div"></div> -->

    <div id="text-div">Lorem ipsum dolor sit amet consectetur, adipisicing elit. Sint, exercitationem?
        Quos eaque eum quo, natus ipsam itaque perspiciatis neque quisquam dignissimos
        fugit ratione unde exercitationem possimus quibusdam saepe! Maxime, quas?

        Lorem ipsum dolor sit amet consectetur adipisicing elit. Saepe quia nihil doloribus
        temporibus iste voluptates! Animi officia, corporis incidunt molestiae nam ratione odio
        dolores sit, laboriosam aperiam veritatis similique laudantium.

        Lorem ipsum dolor sit amet consectetur adipisicing elit. Fugit voluptatum quaerat consectetur!
        Cumque nostrum, dolore ad minima labore dolores aliquam, excepturi accusantium dolor facilis
        mollitia ratione voluptatum aliquid, necessitatibus numquam.

        Lorem ipsum dolor sit amet consectetur adipisicing elit. Aspernatur doloremque maiores
        necessitatibus assumenda vero, consectetur accusamus quo atque iure esse quisquam sint eligendi
        tecto quod, amet autem debitis, magnam obcaecati.

    </div>



</body>

</html>